| EM datagrams on *.kmall format Reg.no. 410224 rev E

Data Fields
EMdgmSVTinfo_def Struct Reference

Part of Sound Velocity at Transducer datagram. More...

`#include <EMdgmFormat.h>`

## Data Fields
uint16_t | numBytesInfoPart
uint16_t | sensorStatus
uint16_t | sensorInputFormat
uint16_t | numSamplesArray
uint16_t | numBytesPerSample
uint16_t | sensorDataContents
float | filterTime_sec
float | soundVelocity_mPerSec_offset

## Detailed Description

Part of Sound Velocity at Transducer datagram.

## Field Documentation

## ◆ numBytesInfoPart

uint16_t numBytesInfoPart

Size in bytes of current struct. Used for denoting size of rest of datagram in cases where only one datablock is attached.

## ◆ sensorStatus

uint16_t sensorStatus

Sensor status. To indicate quality of sensor data is valid or invalid. Quality may be invalid even if sensor is active and the PU receives data. Bit code vary according to type of sensor.
Bits 0 -7 common to all sensors and #MRZ sensor status:

Bit number | Sensor data ---—
--- | ---
0 | 0 = Data OK 1 = Data OK and sensor is chosen as active #SCL only: 1 = Valid data and 1PPS OK
1 | 0
2 | 0 = Data OK 1 = Reduced performance #SCL only: 1 = Reduced performance, no time synchronisation of PU
3 | 0
4 | 0 = Data OK 1 = Invalid data
5 | 0
6 | 0 = Velocity from sensor 1 = Velocity calculated by PU

## ◆ sensorInputFormat

uint16_t sensorInputFormat

Format of raw data from input sensor, given in numerical code according to table below.

Code | Sensor format
--- | ---
1 | AML NMEA
2 | AML SV
3 | AML SVT
4 | AML SVP
5 | Micro SV
6 | Micro SVT
7 | Micro SVP
8 | Valeport MiniSVS

## ◆ numSamplesArray

uint16_t numSamplesArray

Number of sensor samples added in this datagram.

## ◆ numBytesPerSample

uint16_t numBytesPerSample

Length in bytes of one whole SVT sensor sample.

## ◆ sensorDataContents

uint16_t sensorDataContents

Field to indicate which information is available from the input sensor, at the given sensor format.
0 = not available
1 = data is available
Expected data field in sensor input:

Bit number | Sensor data ---—
--- | ---
0 | Sound Velocity
1 | Temperature
2 | Pressure
3 | Salinity

## ◆ filterTime_sec

float filterTime_sec

Time parameter for moving median filter. Unit seconds

## ◆ soundVelocity_mPerSec_offset

float soundVelocity_mPerSec_offset

Offset for measured sound velocity set in K-Controller. Unit m/s

The documentation for this struct was generated from the following file:

- EMdgmFormat.h